# Uses of Class
org.apache.lucene.internal.hppc.FloatArrayList

Packages that use FloatArrayList
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of FloatArrayList in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return FloatArrayList
Modifier and Type
Method
Description
`FloatArrayList`
FloatArrayList.`clone()`
Clone this object.
`static FloatArrayList`
FloatArrayList.`from(float... elements)`
Create a list from a variable number of arguments or an array of `int`.
`FloatArrayList`
FloatArrayList.`reverse()`
Reverses the elements in this list and returns this list.
`FloatArrayList`
FloatArrayList.`sort()`
Sorts the elements in this list and returns this list.
Methods in org.apache.lucene.internal.hppc with parameters of type FloatArrayList
Modifier and Type
Method
Description
`int`
FloatArrayList.`addAll(FloatArrayList list)`
Adds all elements from another list.
`protected boolean`
FloatArrayList.`equalElements(FloatArrayList other)`
Compare index-aligned elements against another `FloatArrayList`.
Constructors in org.apache.lucene.internal.hppc with parameters of type FloatArrayList
Modifier
Constructor
Description
``
`FloatArrayList(FloatArrayList list)`
Creates a new list from the elements of another list in its iteration order.